# Copyright (c) 2019 The Boule Developers.
# Distributed under the terms of the BSD 3-Clause License.
# SPDX-License-Identifier: BSD-3-Clause
#
# This code is part of the Fatiando a Terra project (https://www.fatiando.org)
#
"""
Gravitational constant
units:  m3 / (kg s2)

Reference
---------
E. Tiesinga, P. J. Mohr, D. B. Newell, and B. N. Taylor (2019), The 2018
CODATA Recommended Values of the Fundamental Physical Constants (Web Version
8.1). Database developed by J. Baker, M. Douma, and S. Kotochigova.
Available at http://physics.nist.gov/constants, National Institute of
Standards and Technology, Gaithersburg, MD 20899.
"""
G = 6.67430e-11
